=== modified file 'bzrlib/tests/test_ftp_transport.py'
--- bzrlib/tests/test_ftp_transport.py	2007-09-05 13:35:38 +0000
+++ bzrlib/tests/test_ftp_transport.py	2007-10-19 10:53:21 +0000
@@ -77,6 +77,14 @@
         t.put_bytes('foo', 'test bytes\n')
         self.assertEqual('test bytes\n', t.get_bytes('foo'))
 
+    def test__reconnect(self):
+        t = self.get_transport()
+        t.put_bytes('foo', 'test bytes\n')
+        self.assertEqual('test bytes\n', t.get_bytes('foo'))
+        t._reconnect()
+        t.put_bytes('foo', 'test bytes\n')
+        self.assertEqual('test bytes\n', t.get_bytes('foo'))
+
 
 class TestFTPServerUI(TestCaseWithFTPServer):
 

